libzypp 17.37.10

RepoProvideFile.h File Reference
`#include <iosfwd>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/base/Function.h>`
`#include <zypp/base/Functional.h>`
`#include <zypp/RepoInfo.h>`
`#include <zypp/ManagedFile.h>`
`#include <utility>`
`#include <zypp-core/OnMediaLocation>`
`#include <zypp/ProvideFilePolicy.h>`

Go to the source code of this file.

## Classes
class | zypp::repo::RepoMediaAccess
| Provides files from different repos. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::repo

## Functions
ManagedFile | zypp::repo::provideFile (RepoInfo repo_r, const OnMediaLocation &loc_r, const ProvideFilePolicy &policy_r=ProvideFilePolicy())
| Provide a file from a Repository.